
/* Styles mostly by Tobias Mori, Love & Kindness */

:root {
  --theme-accent: #f3f3f3;
  --theme-primary: #000;
}

.k-activation-button {
  background-color: #f3f3f3;
}


/** Hide empty admin tab **/
:not([data-role='admin']) .k-tab-button[title='Admin'] {
  display: none;
}

/* Panel Max Width */
@media (min-width: 60rem) {
  .k-panel-main {
    max-width: 96rem;
    margin-inline: auto;
    padding-inline-start: calc(var(--main-start, 0) + var(--main-padding-inline));
  }
}

/** Custom Blocks Styling **/
.k-blocks:not([data-disabled='true']) {
  background: transparent;
  box-shadow: none;
  border-radius: none;

  & > .k-blocks-list > .k-block-container {
    border-radius: var(--rounded);

    &:not([data-selected='true']) {
      box-shadow: var(--shadow);
    }

    &:not(:last-of-type) {
      border-bottom: none;
      margin-bottom: 0.5rem;
    }
  }
}
.k-page-view-robots {
  display: none;
}
/* Custom Tab Styles */
.k-tabs {
  margin-top: 12px;
  margin-inline: 0;
  gap: var(--spacing-2);

  .k-tabs-button {
    --button-color-icon: var(--button-color-dimmed-off);
    --button-text-color: var(--button-color-dimmed-off);
    padding-right: var(--spacing-3);
    color: #000;

    &:hover {
      --button-color-icon: var(--button-color-dimmed-off);
      background: rgba(0, 0, 0, 0.05);
    }

    &[aria-current] {
      --button-color-text: #000;
      --button-color-icon: #000;
      background: #fff;


      &::after {
        display: none;
      }
    }
  }
}
